<?php
	// Tenta se conectar ao servidor MySQL
	include $_SERVER["DOCUMENT_ROOT"].'/inc/conexao.php';
	include $_SERVER["DOCUMENT_ROOT"].'/inc/functions.php';
	$cfg = $_SESSION["configs"];

	// ini_set('display_errors',1);
	// ini_set('display_startup_erros',1);
	// error_reporting(E_ALL);

	$urlbase = $_SERVER['SERVER_NAME'].$_SERVER ['REQUEST_URI'];
	$parts = parse_url($urlbase);
	parse_str($parts['query'], $query);
	$_GET = $query;
	$token = $_GET["token"];
	$user = (int)$_GET["user"];

	// Verifica type e permissões
	if(!isset($_GET["token"])){ $ret['error'] = 'Token inexistente ou invalido.'; $ret['status'] = 'error'; $ret['status_code'] = 'notfoundtype'; finishJSONRequest($ret); }

	// Retorno
	$ret = array();
	$ret['date'] = date('Y-m-d H:i:s');

	// Pesquisa usuário
	$sql = $mysqli->query("SELECT usuario_id, usuario_permissoes, usuario_nome FROM usuarios WHERE usuario_api_token = '$token'");
	if(mysqli_num_rows($sql) == 0 || !isset($_GET["token"]) || $_GET["token"] == ''){ $ret['error'] = 'TOKEN invalido.'; $ret['status'] = 'error'; $ret['status_code'] = 'notfoundtype'; finishJSONRequest($ret); }

	// Pega dados do usuario
	$u = $sql->fetch_assoc();
	$userid = $u["usuario_id"];
	$perms = explode('-', $u["usuario_permissoes"]);

	// Verifica type e permissões
	if(!in_array('8', $perms)){ $ret['error'] = 'Você não possui permissões suficientes para visualizar o mapa.'; $ret['status'] = 'error'; $ret['status_code'] = 'invalidPerm'; finishJSONRequest($ret); }

	// Pesquisa
	$ret['matches'] = array();
	if($user <> 0){
		$sql = $mysqli->query("SELECT cupom_valor, cupom_usuario, cupom_situacao, cupom_matches FROM cupons WHERE cupom_situacao = '1' and cupom_usuario = '$user'");
	} else {
		$sql = $mysqli->query("SELECT cupom_valor, cupom_usuario, cupom_situacao, cupom_matches FROM cupons WHERE cupom_situacao = '1' and cupom_usuario <> '0'");
	}

	while($c = $sql->fetch_assoc()){
		$ms = explode('-', $c["cupom_matches"]);
		foreach ($ms as $mid) {
			if(!isset($ret['matches'][$mid])){ $ret['matches'][$mid]['price'] = 0; $ret['matches'][$mid]['code'] = $mid; $ret['matches'][$mid]['qtd'] = 0; $ret['matches'][$mid]['name'] = 'Partida '.$mid; }
			$ret['matches'][$mid]['price'] += $c["cupom_valor"];
			$ret['matches'][$mid]['qtd']++;
		}
	}

	// Pega IDS das partidas
	$keysMatches = array_keys($ret['matches']);
	$keysMatches = join("','", $keysMatches);
	$sql = $mysqli->query("SELECT DISTINCT(aposta_jogo_id), aposta_jogo_nome FROM apostas WHERE aposta_jogo_id IN('$keysMatches')");
	if(!$sql){ $ret['error'] = 'Erro de consulta! '.$mysqli->error; finishJSONRequest($ret); }
	while($c = $sql->fetch_assoc()){
		$ret['matches'][$c["aposta_jogo_id"]]['name'] = utf8_encode($c["aposta_jogo_nome"]);
	}

	// Ordena
	usort($ret['matches'], function($a, $b) {
	    return $b['price'] - $a['price'];
	});

	// Por fim, formata real
	foreach ($ret['matches'] as $k => $v) {
		$ret['matches'][$k]['price'] = formataReal($v['price']);
	}

	echo json_encode($ret);
?>